git-deborig(1)

NAME
git-deborig - Tenter de produire orig.tar de Debian avec git-archive(1)

SYNOPSIS
git deborig [--force|-f] [--just-print|--just-print-tag-names] [--version=VERSION] [COMMITTISH]

DESCRIPTION
git-deborig tente de produire le fichier orig.tar dont vous avez besoin pour votre envoi en appelant git-archive(1) sur une étiquette ou un "head" de branche de git; Il a été écrit en pensant au déroulement de dgit-maint-merge(7) mais peut être utilisé avec d’autres flux de travaux.

git-deborig essaiera plusieurs noms d’étiquette courants. S’il échoue, ou si plus d’une étiquette courante sont présentes, il est possible de préciser en ligne de commande l’étiquette ou le "head" de branche à archiver (objet_d’envoi ci-dessus).

git-deborig remplacera les gitattributes(5) qui pourraient faire que le contenu de l’archive générée par git-archive(1) ne soit pas identique à l’objet d’envoi archivé : les attributs export-subst et export-ignore.

git-deborig devrait être invoqué à partir de la racine du dépôt git qui devrait contenir debian/changelog.

OPTIONS

-f|--force
    Écraser tout fichier orig.tar existant dans le répertoire parent.

--just-print
    Au lieu d’invoquer réellement git-archive(1), afficher les informations sur comment il devrait être invoqué. --force est ignoré.

    Notez que l’exécution de l’invocation de git-archive(1) produite avec cette option peut ne pas produire la même sortie. C’est parce que git-deborig prend soin de désactiver les attributs de git dont autrement git-archive(1) tient compte, comme cela est détaillé précédemment.

--just-print-tag-names
    Au lieu d’appeler réellement git-archive (1), ou même de vérifier quels tags existent, affiche les noms de balises considérées comme numéro de version amont dans la première entrée du changelog Debian, ou celle fournie avec --version.

--version=VERSION
    Au lieu de lire la nouvelle version amont, prise dans la première entrée du changelog de Debian, utiliser la VERSION.

SEE ALSO
git-archive(1), dgit-maint-merge(7), dgit-maint-debrebase(7)

AUTHOR
git-deborig a été écrit par Sean Whitton <spwhitton@spwhitton.name>.